import {Trait} from '../Entity.js';

export default class Physics extends Trait {
	constructor(entity) {
		super(entity, "physics");

		this.gravity = 9.81;
	}

	update(dt) {
		this.entity.velocity.y += this.gravity * dt;
	}
}
